---
title: WeakMap.prototype.clear()
slug: Web/JavaScript/Reference/Global_Objects/WeakMap/clear
tags:
  - JavaScript
  - Method
  - Obsolete
  - Prototype
  - WeakMap
---
<div>{{JSRef}} {{obsolete_header}}</div>

<p>The <code><strong>clear()</strong></code> method used to remove all elements from a <code>WeakMap</code> object, but is no longer part of ECMAScript and its implementations.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>wm</em>.clear();</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_clear_method">Using the <code>clear</code> method</h3>

<pre class="brush: js;highlight:[10] example-bad">var wm = new WeakMap();
var obj = {};

wm.set(obj, 'foo');
wm.set(window, 'bar');

wm.has(obj); // true
wm.has(window); // true

wm.clear();

wm.has(obj)  // false
wm.has(window)  // false
</pre>

<h2 id="Specifications">Specifications</h2>

<p><span class="pl-s">Not part of any standard.</span></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.WeakMap.clear")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("WeakMap")}}</li>
</ul>
